NAV Navbar
Shell HTTP JavaScript Node.JS Ruby Python Java
  • DTCROS API v1.0.0
  • accounts
  • locations
  • menus
  • menu-items
  • orders
  • budgets
  • reports
  • Schemas
  • DTCROS API v1.0.0

    Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.

    This is the DTCROS API Documentation for DTCROS. Authentication is handled by passing a cognito idToken in the Authorization header.

    Base URLs:

    Terms of service Email: Support License: Dualtron

    accounts

    GET /accounts

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/accounts \
      -H 'Accept: */*'
    
    
    GET https://api.dev.ucd.dtcros.com/accounts HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    
    
    var headers = {
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => '*/*'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/accounts',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': '*/*'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/accounts', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    POST /accounts

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/accounts \
      -H 'role: string' \
      -H 'Content-Type: application/json' \
      -H 'Accept: */*'
    
    
    POST https://api.dev.ucd.dtcros.com/accounts HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "username": "string",
      "temporaryPassword": "string"
    }';
    const headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Content-Type' => 'application/json',
      'Accept' => '*/*'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/accounts',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Content-Type': 'application/json',
      'Accept': '*/*'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/accounts', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Body parameter

    {
      "username": "string",
      "temporaryPassword": "string"
    }
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    body body CreateAccount true No description
    » username body string true The email address of the user
    » temporaryPassword body string true The temporary password for the user (User will change the password after login)

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /accounts

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/accounts \
      -H 'Accept: */*'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/accounts HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    
    
    var headers = {
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => '*/*'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/accounts',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': '*/*'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/accounts', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    GET /accounts/{id}

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/accounts/{id} \
      -H 'role: string' \
      -H 'Accept: */*'
    
    
    GET https://api.dev.ucd.dtcros.com/accounts/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Accept' => '*/*'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Accept': '*/*'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/accounts/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    PUT /accounts/{id}

    Code samples

    # You can also use wget
    curl -X PUT https://api.dev.ucd.dtcros.com/accounts/{id} \
      -H 'role: string' \
      -H 'Content-Type: application/json' \
      -H 'Accept: */*'
    
    
    PUT https://api.dev.ucd.dtcros.com/accounts/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      method: 'put',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "ordererType": "string"
    }';
    const headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}',
    {
      method: 'PUT',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Content-Type' => 'application/json',
      'Accept' => '*/*'
    }
    
    result = RestClient.put 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Content-Type': 'application/json',
      'Accept': '*/*'
    }
    
    r = requests.put('https://api.dev.ucd.dtcros.com/accounts/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("PUT");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Body parameter

    {
      "ordererType": "string"
    }
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description
    body body UpdateAccount true No description
    » ordererType body string true The orderer type (default or senior)

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    DELETE /accounts/{id}

    Code samples

    # You can also use wget
    curl -X DELETE https://api.dev.ucd.dtcros.com/accounts/{id} \
      -H 'role: string' \
      -H 'Accept: */*'
    
    
    DELETE https://api.dev.ucd.dtcros.com/accounts/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      method: 'delete',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}',
    {
      method: 'DELETE',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Accept' => '*/*'
    }
    
    result = RestClient.delete 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Accept': '*/*'
    }
    
    r = requests.delete('https://api.dev.ucd.dtcros.com/accounts/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("DELETE");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    POST /accounts/{id}

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/accounts/{id} \
      -H 'role: string' \
      -H 'Content-Type: application/json' \
      -H 'Accept: */*'
    
    
    POST https://api.dev.ucd.dtcros.com/accounts/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "status": "string"
    }';
    const headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Content-Type' => 'application/json',
      'Accept' => '*/*'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Content-Type': 'application/json',
      'Accept': '*/*'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/accounts/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Body parameter

    {
      "status": "string"
    }
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description
    body body ChangeAccountStatus true No description
    » status body string true The status of the user (Must be 'enable' or disable')

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /accounts/{id}

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/accounts/{id} \
      -H 'role: string' \
      -H 'Accept: */*'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/accounts/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Accept' => '*/*'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/accounts/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Accept': '*/*'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/accounts/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    GET /accounts/{id}/auth-events

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events \
      -H 'role: string' \
      -H 'Accept: */*'
    
    
    GET https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Accept' => '*/*'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Accept': '*/*'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /accounts/{id}/auth-events

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events \
      -H 'role: string' \
      -H 'Accept: */*'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'role':'string',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Accept' => '*/*'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Accept': '*/*'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/{id}/auth-events");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    id path string true No description

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    POST /accounts/authenticate

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/accounts/authenticate \
      -H 'role: string' \
      -H 'Content-Type: application/json' \
      -H 'Accept: */*'
    
    
    POST https://api.dev.ucd.dtcros.com/accounts/authenticate HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: */*
    role: string
    
    
    var headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/authenticate',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "username": "string",
      "password": "string"
    }';
    const headers = {
      'role':'string',
      'Content-Type':'application/json',
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/authenticate',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'role' => 'string',
      'Content-Type' => 'application/json',
      'Accept' => '*/*'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/accounts/authenticate',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'role': 'string',
      'Content-Type': 'application/json',
      'Accept': '*/*'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/accounts/authenticate', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/authenticate");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Body parameter

    {
      "username": "string",
      "password": "string"
    }
    

    Parameters

    Parameter In Type Required Description
    role header string true No description
    body body Authenticate true No description
    » username body string true The username of the user
    » password body string true The password of the user

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /accounts/authenticate

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/accounts/authenticate \
      -H 'Accept: */*'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/accounts/authenticate HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: */*
    
    
    var headers = {
      'Accept':'*/*'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/accounts/authenticate',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'*/*'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/accounts/authenticate',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => '*/*'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/accounts/authenticate',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': '*/*'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/accounts/authenticate', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/accounts/authenticate");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    locations

    GET /locations

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/locations \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/locations HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/locations',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/locations', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all locations

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    POST /locations

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/locations \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    POST https://api.dev.ucd.dtcros.com/locations HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "location": "string",
      "details": {
        "description": "string",
        "rooms": [
          {
            "name": "string",
            "description": "string"
          }
        ]
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/locations',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/locations', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Add a new location

    Body parameter

    {
      "location": "string",
      "details": {
        "description": "string",
        "rooms": [
          {
            "name": "string",
            "description": "string"
          }
        ]
      }
    }
    

    Parameters

    Parameter In Type Required Description
    body body CreateLocation false The details required to create a new location
    » location body string true The unique Identifier for the location
    » details body LocationDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /locations

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/locations \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/locations HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/locations',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/locations', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    GET /locations/{id}

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/locations/{id} \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/locations/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations/{id}',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations/{id}',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/locations/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/locations/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all details for a given location

    Parameters

    Parameter In Type Required Description
    id path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    PUT /locations/{id}

    Code samples

    # You can also use wget
    curl -X PUT https://api.dev.ucd.dtcros.com/locations/{id} \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    PUT https://api.dev.ucd.dtcros.com/locations/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations/{id}',
      method: 'put',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "details": {
        "description": "string",
        "rooms": [
          {
            "name": "string",
            "description": "string"
          }
        ]
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations/{id}',
    {
      method: 'PUT',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.put 'https://api.dev.ucd.dtcros.com/locations/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.put('https://api.dev.ucd.dtcros.com/locations/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("PUT");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Update details for a given location

    Body parameter

    {
      "details": {
        "description": "string",
        "rooms": [
          {
            "name": "string",
            "description": "string"
          }
        ]
      }
    }
    

    Parameters

    Parameter In Type Required Description
    id path string true No description
    body body UpdateLocation false The details required to update a location
    » details body LocationDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    DELETE /locations/{id}

    Code samples

    # You can also use wget
    curl -X DELETE https://api.dev.ucd.dtcros.com/locations/{id} \
      -H 'Accept: application/json'
    
    
    DELETE https://api.dev.ucd.dtcros.com/locations/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations/{id}',
      method: 'delete',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations/{id}',
    {
      method: 'DELETE',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.delete 'https://api.dev.ucd.dtcros.com/locations/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.delete('https://api.dev.ucd.dtcros.com/locations/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("DELETE");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Delete a given location

    Parameters

    Parameter In Type Required Description
    id path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /locations/{id}

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/locations/{id} \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/locations/{id} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/locations/{id}',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/locations/{id}',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/locations/{id}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/locations/{id}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/locations/{id}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    id path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    menus

    GET /menus

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/menus \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/menus HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/menus',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/menus', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all menus

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    POST /menus

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/menus \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    POST https://api.dev.ucd.dtcros.com/menus HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "name": "string",
      "details": {
        "description": "string",
        "startTime": 0,
        "endTime": 0,
        "senior": true,
        "locations": [
          "string"
        ],
        "image": "string",
        "thumbnail": "string",
        "menuItems": [
          "string"
        ]
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/menus',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/menus', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Add a new menu

    Body parameter

    {
      "name": "string",
      "details": {
        "description": "string",
        "startTime": 0,
        "endTime": 0,
        "senior": true,
        "locations": [
          "string"
        ],
        "image": "string",
        "thumbnail": "string",
        "menuItems": [
          "string"
        ]
      }
    }
    

    Parameters

    Parameter In Type Required Description
    body body CreateMenu false The details required to create a new menu
    » name body string true The unique Identifier for the Menu
    » details body MenuDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /menus

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/menus \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/menus HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/menus',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/menus', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    GET /menus/{menuId}

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/menus/{menuId} \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/menus/{menuId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus/{menuId}',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/menus/{menuId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus/{menuId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all details for a given menu

    Parameters

    Parameter In Type Required Description
    menuId path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    PUT /menus/{menuId}

    Code samples

    # You can also use wget
    curl -X PUT https://api.dev.ucd.dtcros.com/menus/{menuId} \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    PUT https://api.dev.ucd.dtcros.com/menus/{menuId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      method: 'put',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "details": {
        "description": "string",
        "startTime": 0,
        "endTime": 0,
        "senior": true,
        "locations": [
          "string"
        ],
        "image": "string",
        "thumbnail": "string",
        "menuItems": [
          "string"
        ]
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus/{menuId}',
    {
      method: 'PUT',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.put 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.put('https://api.dev.ucd.dtcros.com/menus/{menuId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus/{menuId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("PUT");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Update details for a given menu

    Body parameter

    {
      "details": {
        "description": "string",
        "startTime": 0,
        "endTime": 0,
        "senior": true,
        "locations": [
          "string"
        ],
        "image": "string",
        "thumbnail": "string",
        "menuItems": [
          "string"
        ]
      }
    }
    

    Parameters

    Parameter In Type Required Description
    menuId path string true No description
    body body UpdateMenu false The details required to update a menu
    » details body MenuDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    DELETE /menus/{menuId}

    Code samples

    # You can also use wget
    curl -X DELETE https://api.dev.ucd.dtcros.com/menus/{menuId} \
      -H 'Accept: application/json'
    
    
    DELETE https://api.dev.ucd.dtcros.com/menus/{menuId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      method: 'delete',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus/{menuId}',
    {
      method: 'DELETE',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.delete 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.delete('https://api.dev.ucd.dtcros.com/menus/{menuId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus/{menuId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("DELETE");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Delete a given menu

    Parameters

    Parameter In Type Required Description
    menuId path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /menus/{menuId}

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/menus/{menuId} \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/menus/{menuId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menus/{menuId}',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/menus/{menuId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/menus/{menuId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menus/{menuId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    menuId path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    menu-items

    GET /menu-items

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/menu-items \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/menu-items HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/menu-items',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/menu-items', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all menu items

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    POST /menu-items

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/menu-items \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    POST https://api.dev.ucd.dtcros.com/menu-items HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "name": "string",
      "details": {
        "description": "string",
        "image": "string",
        "thumbnail": "string",
        "price": 0,
        "nutrition": {
          "vegetarian": true,
          "ceoliac": true,
          "vegan": true,
          "nuts": true
        }
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/menu-items',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/menu-items', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Add a new menu item

    Body parameter

    {
      "name": "string",
      "details": {
        "description": "string",
        "image": "string",
        "thumbnail": "string",
        "price": 0,
        "nutrition": {
          "vegetarian": true,
          "ceoliac": true,
          "vegan": true,
          "nuts": true
        }
      }
    }
    

    Parameters

    Parameter In Type Required Description
    body body CreateMenuItem false The details required to create a new menu
    » name body string true The name for the Menu Item
    » details body MenuItemDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /menu-items

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/menu-items \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/menu-items HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/menu-items',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/menu-items', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    GET /menu-items/{itemId}

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/menu-items/{itemId} \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/menu-items/{itemId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/menu-items/{itemId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items/{itemId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all details for a given menu item

    Parameters

    Parameter In Type Required Description
    itemId path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    PUT /menu-items/{itemId}

    Code samples

    # You can also use wget
    curl -X PUT https://api.dev.ucd.dtcros.com/menu-items/{itemId} \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    PUT https://api.dev.ucd.dtcros.com/menu-items/{itemId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      method: 'put',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "name": "string",
      "details": {
        "description": "string",
        "image": "string",
        "thumbnail": "string",
        "price": 0,
        "nutrition": {
          "vegetarian": true,
          "ceoliac": true,
          "vegan": true,
          "nuts": true
        }
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
    {
      method: 'PUT',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.put 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.put('https://api.dev.ucd.dtcros.com/menu-items/{itemId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items/{itemId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("PUT");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Update details for a given menu

    Body parameter

    {
      "name": "string",
      "details": {
        "description": "string",
        "image": "string",
        "thumbnail": "string",
        "price": 0,
        "nutrition": {
          "vegetarian": true,
          "ceoliac": true,
          "vegan": true,
          "nuts": true
        }
      }
    }
    

    Parameters

    Parameter In Type Required Description
    itemId path string true No description
    body body UpdateMenuItem false The details required to update a menu Item
    » name body string false The name for the Menu Item
    » details body MenuItemDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    DELETE /menu-items/{itemId}

    Code samples

    # You can also use wget
    curl -X DELETE https://api.dev.ucd.dtcros.com/menu-items/{itemId} \
      -H 'Accept: application/json'
    
    
    DELETE https://api.dev.ucd.dtcros.com/menu-items/{itemId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      method: 'delete',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
    {
      method: 'DELETE',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.delete 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.delete('https://api.dev.ucd.dtcros.com/menu-items/{itemId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items/{itemId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("DELETE");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Delete a given menu item

    Parameters

    Parameter In Type Required Description
    itemId path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /menu-items/{itemId}

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/menu-items/{itemId} \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/menu-items/{itemId} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/menu-items/{itemId}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/menu-items/{itemId}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/menu-items/{itemId}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Parameters

    Parameter In Type Required Description
    itemId path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    orders

    GET /orders

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/orders \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/orders HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/orders',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/orders',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/orders',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/orders', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/orders");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all orders

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    POST /orders

    Code samples

    # You can also use wget
    curl -X POST https://api.dev.ucd.dtcros.com/orders \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    POST https://api.dev.ucd.dtcros.com/orders HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/orders',
      method: 'post',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "code": "string",
      "orderer": "string",
      "details": {
        "contactNumber": "string",
        "location": "string",
        "room": "string",
        "comments": "string",
        "status": "string",
        "price": 0,
        "items": [
          {
            "MenuName": "string",
            "ID": "string",
            "Name": "string",
            "Price": 0,
            "Quantity": 0
          }
        ],
        "meeting": {
          "id": "string",
          "title": "string",
          "start": "string",
          "end": "string"
        }
      }
    }';
    const headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/orders',
    {
      method: 'POST',
      body: inputBody,
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Content-Type' => 'application/json',
      'Accept' => 'application/json'
    }
    
    result = RestClient.post 'https://api.dev.ucd.dtcros.com/orders',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Content-Type': 'application/json',
      'Accept': 'application/json'
    }
    
    r = requests.post('https://api.dev.ucd.dtcros.com/orders', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/orders");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("POST");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Add a new order

    Body parameter

    {
      "code": "string",
      "orderer": "string",
      "details": {
        "contactNumber": "string",
        "location": "string",
        "room": "string",
        "comments": "string",
        "status": "string",
        "price": 0,
        "items": [
          {
            "MenuName": "string",
            "ID": "string",
            "Name": "string",
            "Price": 0,
            "Quantity": 0
          }
        ],
        "meeting": {
          "id": "string",
          "title": "string",
          "start": "string",
          "end": "string"
        }
      }
    }
    

    Parameters

    Parameter In Type Required Description
    body body CreateOrder false The details required to create a new order
    » code body string true The budget code used in the order
    » orderer body string true The id of the user who placed the order
    » details body OrderDetails true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    OPTIONS /orders

    Code samples

    # You can also use wget
    curl -X OPTIONS https://api.dev.ucd.dtcros.com/orders \
      -H 'Accept: application/json'
    
    
    OPTIONS https://api.dev.ucd.dtcros.com/orders HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/orders',
      method: 'options',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/orders',
    {
      method: 'OPTIONS',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.options 'https://api.dev.ucd.dtcros.com/orders',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.options('https://api.dev.ucd.dtcros.com/orders', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/orders");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("OPTIONS");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string
    200 Access-Control-Allow-Methods string
    200 Access-Control-Allow-Headers string

    GET /orders/{code}/{datetime}

    Code samples

    # You can also use wget
    curl -X GET https://api.dev.ucd.dtcros.com/orders/{code}/{datetime} \
      -H 'Accept: application/json'
    
    
    GET https://api.dev.ucd.dtcros.com/orders/{code}/{datetime} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    
    Accept: application/json
    
    
    var headers = {
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/orders/{code}/{datetime}',
      method: 'get',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    
    const headers = {
      'Accept':'application/json'
    
    };
    
    fetch('https://api.dev.ucd.dtcros.com/orders/{code}/{datetime}',
    {
      method: 'GET',
    
      headers: headers
    })
    .then(function(res) {
        return res.json();
    }).then(function(body) {
        console.log(body);
    });
    
    require 'rest-client'
    require 'json'
    
    headers = {
      'Accept' => 'application/json'
    }
    
    result = RestClient.get 'https://api.dev.ucd.dtcros.com/orders/{code}/{datetime}',
      params: {
      }, headers: headers
    
    p JSON.parse(result)
    
    import requests
    headers = {
      'Accept': 'application/json'
    }
    
    r = requests.get('https://api.dev.ucd.dtcros.com/orders/{code}/{datetime}', params={
    
    }, headers = headers)
    
    print r.json()
    
    URL obj = new URL("https://api.dev.ucd.dtcros.com/orders/{code}/{datetime}");
    HttpURLConnection con = (HttpURLConnection) obj.openConnection();
    con.setRequestMethod("GET");
    int responseCode = con.getResponseCode();
    BufferedReader in = new BufferedReader(
        new InputStreamReader(con.getInputStream()));
    String inputLine;
    StringBuffer response = new StringBuffer();
    while ((inputLine = in.readLine()) != null) {
        response.append(inputLine);
    }
    in.close();
    System.out.println(response.toString());
    

    Retrieve all details for a given order

    Parameters

    Parameter In Type Required Description
    code path string true No description
    datetime path string true No description

    Example responses

    {}
    

    Responses

    Status Meaning Description Schema
    200 OK 200 response Empty

    Response Headers

    Status Header Type Format Description
    200 Access-Control-Allow-Origin string

    PUT /orders/{code}/{datetime}

    Code samples

    # You can also use wget
    curl -X PUT https://api.dev.ucd.dtcros.com/orders/{code}/{datetime} \
      -H 'Content-Type: application/json' \
      -H 'Accept: application/json'
    
    
    PUT https://api.dev.ucd.dtcros.com/orders/{code}/{datetime} HTTP/1.1
    Host: api.dev.ucd.dtcros.com
    Content-Type: application/json
    Accept: application/json
    
    
    var headers = {
      'Content-Type':'application/json',
      'Accept':'application/json'
    
    };
    
    $.ajax({
      url: 'https://api.dev.ucd.dtcros.com/orders/{code}/{datetime}',
      method: 'put',
    
      headers: headers,
      success: function(data) {
        console.log(JSON.stringify(data));
      }
    })
    
    const request = require('node-fetch');
    const inputBody = '{
      "orderer": "string",
      "orderRef": "string",
      "user": "string",
      "activity": "string",
      "details": {
        "contactNumber": "string",
        "location": "string",
        "room": "string",
        "comments": "string",
        "status": "string",
        "price": 0,
        "items": [
          {
            "MenuName": "string",
            "ID": "string",
            "Name": "string",
            "Price": 0,
            "Quantity": 0
          }
        ],
        "meeting": {
          "id": "string",
          "title": "string",
          "start": "string",
          "end": "string"
        }
      }
    }';
    const headers = {
      'Content-Type':'application/json',
[...]
